Summary:	Common SGML catalog and DTD files
Summary(pl.UTF-8):	Opisane w normie ISO 8879/1986 katalogi i DTD SGML-owe
Name:		sgml-common
Version:	0.6.3
Release:	9%{?tld}
#Copyright:	(C) International Organization for Standardization 1986
License:	distributable
URL:		http://www.iso.ch/cate/3524030.html
Group:		Applications/Publishing/SGML
Source0:	ftp://ftp.kde.org/pub/kde/devel/docbook/SOURCES/%{name}-%{version}.tgz
# Source0-md5:	103c9828f24820df86e55e7862e28974
Patch0:		%{name}-chmod.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libxml2-progs
Requires(post,preun): /usr/bin/xmlcatalog
Requires:	fileutils
Requires:	grep
Requires:	libxml2-progs
Requires:	sed
Provides:	iso-entities
Provides:	iso-entities-8879.1986
Provides:	sgml-catalog
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		xml_catalog %{_datadir}/sgml/xml-iso-entities-8879.1986/catalog.xml

%description
sgml-common is a collection of entities and dtds that are useful for
SGML processing, but shouldn't need to be included in multiple
packages. It also includes an up-to-date Open Catalog file.

%description -l pl.UTF-8
sgml-common jest zestawem wspólnych dla większości aplikacji SGML-a
(bo opisanych w normie ISO 8879/1986) encji i DTD. Poza tym zawiera
aktualizowany przy dodawaniu nowych pakietów katalog SGML oraz
instalator nowych DTD.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# directory commonly used by docbook-* packages
# and the second used by {,x}html-dtd* ones
install -d $RPM_BUILD_ROOT%{_datadir}/sgml/{docbook,html}

xmlcatalog --noout --create $RPM_BUILD_ROOT%{xml_catalog}
grep PUBLIC $RPM_BUILD_ROOT%{_datadir}/sgml/xml-iso-entities-8879.1986/catalog | \
	sed 's/^/xmlcatalog --noout --add /;s/PUBLIC/public/;s=$= '$RPM_BUILD_ROOT'%{xml_catalog}=' | sh

rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- sgml-common < 0.5-9
if ! grep -qs /etc/sgml/sgml-iso-entities-8879.1986.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-iso-entities-8879.1986.cat /usr/share/sgml/sgml-iso-entities-8879.1986/catalog > /dev/null
fi

%post
if ! grep -qs /etc/sgml/sgml-iso-entities-8879.1986.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-iso-entities-8879.1986.cat /usr/share/sgml/sgml-iso-entities-8879.1986/catalog > /dev/null
fi
if ! grep -qs /etc/sgml/xml-iso-entities-8879.1986.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/xml-iso-entities-8879.1986.cat /usr/share/sgml/xml-iso-entities-8879.1986/catalog > /dev/null
fi
if ! grep -qs %{xml_catalog} /etc/xml/catalog ; then
	/usr/bin/xmlcatalog --noout --add nextCatalog "" %{xml_catalog} /etc/xml/catalog
fi

%preun
if [ "$1" = "0" ] ; then
	/usr/bin/install-catalog --remove /etc/sgml/sgml-iso-entities-8879.1986.cat /usr/share/sgml/sgml-iso-entities-8879.1986/catalog > /dev/null
	/usr/bin/install-catalog --remove /etc/sgml/xml-iso-entities-8879.1986.cat /usr/share/sgml/xml-iso-entities-8879.1986/catalog > /dev/null
	[ ! -x /usr/bin/xmlcatalog ] || /usr/bin/xmlcatalog --noout --del %{xml_catalog} /etc/xml/catalog
fi

%files
%defattr(644,root,root,755)
%doc doc/HTML/*
%dir %{_sysconfdir}/sgml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sgml/sgml.conf
%attr(755,root,root) %{_bindir}/*
%{_datadir}/sgml
%{_mandir}/*/*
%changelog
* Sat Dec 02 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/sgml-common.git;a=log;h=master

* Sat Dec 02 2023 Marcin Krol <hawk@tld-linux.org> d6eccd8
- rediffed

* Sat Oct 20 2012 Elan Ruusamäe <glen@delfi.ee> c196882
- allow libxml2-progs uninstallation to succeed

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 2c0c819
- dropped pre-cvs changelog

* Mon Mar 26 2007 darekr <darekr@pld-linux.org> 0a69fc0
- rel.7

* Mon Mar 26 2007 darekr <darekr@pld-linux.org> be0c32b
- fix R: (%post needs /usr/bin/xmlcatalog, not %pre)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 10c5c9a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6da9d96
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 0050174
- orphaned, outdated

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> a2b4c6b
- adapterized (sorted %verify attrs)

* Tue Aug 09 2005 Karol Krenski <charles@pld-linux.org> f9c47c8
- until is PreReq: s/libxml2-progs/libxml2/

* Fri Jul 29 2005 Karol Krenski <charles@pld-linux.org> afa0a31
- BR: automake

* Sun Jul 17 2005 Paweł Sikora <pluto@pld-linux.org> 0c3f7b3
- fixed R:, release 6 for Th.

* Sat Sep 25 2004 radek <radek@pld-linux.org> 7e9e65f
- cosmetics (spaces -> tabs)

* Tue Apr 27 2004 pawcioos <pawcioos@pld-linux.org> 391d715
- fixed BR: libxml2-progs

* Tue Apr 13 2004 Jakub Bogusz <qboosh@pld-linux.org> 81fce42
- own /usr/share/sgml/html dir
- config(noreplace) for /etc/sgml/sgml.conf, not dir
- release 5

* Sun Aug 31 2003 Mariusz Mazur <mmazur@pld-linux.org> f3713fd
- rel 4 for ac

* Tue Aug 26 2003 Jakub Bogusz <qboosh@pld-linux.org> e549d22
- no // in paths, other cosmetics

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> a825d1b
- mass commit: cosmetics (removed trailing white spaces)

* Sun May 25 2003 Michal Moskal <michal@moskal.me> fc4e1c4
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 736baac
- massive attack s/pld.org.pl/pld-linux.org/

